Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1077953

Summary: udevadm trigger has way too many side effects, please stop running it in postinstall
Product: [Fedora] Fedora Reporter: Tom Horsley <horsley1953>
Component: wiresharkAssignee: Peter Hatina <phatina>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: huzaifas, lemenkov, phatina, rvokal, tsmetana
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: wireshark-1.10.6-2.fc20 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-24 06:36:58 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Tom Horsley 2014-03-18 23:36:17 UTC
Description of problem:

The postinstall script in wireshark runs "udevadm trigger" unconditionally. This has (among others) the effect of making every usb HID device on my system look like it was just plugged back in again, losing all the xinput settings.

The only thing I can guess that wireshark wants to do with this is chgrp the usbmon subsystem, which, unless this is the very first time wireshark has been installed, will already be the right group.


Version-Release number of selected component (if applicable):
wireshark-1.10.6-1.fc20.x86_64
systemd-208-15.fc20.x86_64

How reproducible:
Every time I install a wireshark update.


Steps to Reproduce:
1.yum update
2.
3.

Actual results:
All the carefully crafted xinput settings for mouse and keyboard vanish.

Expected results:
No ridiculous side effects from updating wireshark.

Additional info:
I don't know if wireshark is the only package that does this, but it is certainly the only one I've noticed.

Perhaps a --subsystem-match=usbmon option on trigger would be helpful?

Comment 1 Tom Horsley 2014-03-18 23:52:40 UTC
And, in fact, I just tried the experiment of running (as root) this command:

/usr/bin/udevadm trigger --subsystem-match=usbmon

and my mouse settings survived intact :-).

Comment 2 Fedora Update System 2014-03-21 08:01:09 UTC
wireshark-1.10.6-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/wireshark-1.10.6-2.fc20

Comment 3 Fedora Update System 2014-03-22 05:07:29 UTC
Package wireshark-1.10.6-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wireshark-1.10.6-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4205/wireshark-1.10.6-2.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-03-24 06:36:58 UTC
wireshark-1.10.6-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.